Subject: Re: bug#28551: Emacs master does not respect frame width [macOS]

From: Nick Helm <[email-masked]>
Date: Sat, 23 Sep 2017 04:01:57 +1200

Angelo Graziosi <[email-masked]> writes:

> Both on Windows, GNU/Linux and macOS, in the init.el file I have
> something like this
>
> (setq default-frame-alist
>       '(
>         (width . 110) ; character
>         [...]
>         ))
>
> This allow me to have an useful space of 110 columns to write.
>
> Now with the build 015172d1ba36de9ab2ca2cae020b6ab6793dbb8c
> (2017-09-15 11:46:37), on macOS, the above is not respected. I have
> lost about 5 columns (really I have lost also a line, from 32 to 31).
> The same does not occur on GNU/Linux and Windows on which I have built
> the same master.

This should now be fixed on emacs-26 branch with commit
a81d5a3d3fcb76f6b074c2c721b80b1802135d41.